> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/swe/api-dokumentation/oversikt-over-geopard-api-anrop/59.-fraga-hamta-asapplieddatasets.md).

# 59. Fråga: Hämta "AsAppliedDatasets"

Hämta alla "AsAppliedDatasets" för det valda "Field". Dataset kan hämtas med hjälp av generiska GraphQL-frågor som `getFarms` och `getFields` från det länkade "Field".&#x20;

{% hint style="warning" %}
Ett "AsAppliedDataset" måste laddas upp i förväg.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetAsAppliedDatasetsViaGetFarms {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]) {
    uuid 
    namn
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      asAppliedDatasets {
        uuid 
        namn
        number #totalt antal geofunktioner 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)
  
        attributes
        
        fullAttributes { #kompletta detaljer per attribut
          name #länk till statistik >> attribut
          transliteratedName
          fullName #korrekt människoläsbart namn
          unit#mätenheter
        }

        usedMachines { #använda maskiner
          id
          serial
          operatorId
        } 

        createdDate #entitetens skapandedatum och tid i GeoPard
        updatedDate #senaste uppdateringsdatum och tid
        operationId
        operationType
        operationFileDate #filens skapelsedatum och tid kommer från metainformationen 
        operationStartDate #start av operationen kommer från metainformationen
        
        statistics { #statistikfördelning för varje attribut
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }

        geoMaps {
          url
          kortNamn
          hexColorCodes
          classes
        }
      }
    }
  } 
}
```

{% endcode %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetAsAppliedDatasetsViaGetFields { 
  getFields (filter: {fieldUuid: "<placeholder_of_field_uuid>"}) { 
    fields { 
      uuid
      area(unit: HECTARES) 
      asAppliedDatasets(asAppliedDatasetUuids: ["placeholder_of_dataset_uuid"]) { 
        uuid 
        namn
        number #totalt antal geofunktioner 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)
  
        attributes
        
        fullAttributes { #kompletta detaljer per attribut
          name #länk till statistik >> attribut
          transliteratedName
          fullName #korrekt människoläsbart namn
          unit#mätenheter
        }

        usedMachines { #använda maskiner
          id
          serial
          operatorId
        } 

        createdDate #entitetens skapandedatum och tid i GeoPard
        updatedDate #senaste uppdateringsdatum och tid
        operationId
        operationType
        operationFileDate #filens skapelsedatum och tid kommer från metainformationen 
        operationStartDate #start av operationen kommer från metainformationen
        
        statistics { #statistikfördelning för varje attribut
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }

        geoMaps {
          url
          kortNamn
          hexColorCodes
          classes
        }
      }
    }
  } 
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/swe/api-dokumentation/oversikt-over-geopard-api-anrop/59.-fraga-hamta-asapplieddatasets.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
